<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div id="worklog">
    <input id="dateapproved" th:if="${dateapproved} != null" th:value="${dateapproved}" type="hidden" />
    <th:block th:fragment="list">
      <br />
      <th:block th:if="${not #lists.isEmpty(workitem.workLogs)}">
        <div class="ui grid">
          <div class="two wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY}}"></h4>
          </div>
          <div class="center aligned one wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS}}"></h4>
          </div>
          <div class="four wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ACTIVITY}}"></h4>
          </div>
          <div class="four wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DESCRIPTION}}"></h4>
          </div>
          <div class="two wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TYPESOFWORK}}"></h4>
          </div>
          <div class="two wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CREATEDBY}}"></h4>
          </div>
          <div class="one wide column">
            <h4 class="ui dividing header">&nbsp;</h4>
          </div>
          <th:block th:each="item : ${workitem.workLogs}">
            <div class="no-top-padding two wide column">
              <label th:text="${#dates.format(item.day.date, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}"></label>
            </div>
            <div class="no-top-padding center aligned one wide column">
              <label th:text="${item.timeSpent}"></label>
            </div>
            <div class="no-top-padding four wide column">
              <label th:text="${item.activity.number + ' - ' + item.activity.name}" th:unless="${item.activity == null}"></label>
            </div>
            <div class="no-top-padding four wide column">
              <label th:utext="${item.description}"></label>
            </div>
            <div class="no-top-padding two wide column">
              <label th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).VIEW_ATTRIBUTE_TYPESOFWORK + '.' + item.typeOfWork.id}}"></label>
            </div>
            <div class="no-top-padding two wide column">
              <div class="ui inline dropdown">
                <div class="text">
                  <div class="ui relaxed small list">
                    <div class="item">
                      <img class="ui avatar image" th:src="@{${item.createdBy.avatar.image}}" alt="avatar"/>
                      <div class="content">
                        <a class="header" th:text="${item.createdBy.name}"></a>
                        <div class="description" style="font-size: 0.75em;" th:text="${#dates.format(item.created, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}"></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="no-top-padding one wide column" th:unless="${item.timesheet?.submitted}">
              <i class="edit icon pointer" th:onclick="'javascript:editWorklog(\'' + ${item.id} + '\');'" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${resource.id == item.createdBy.id}"></i>
              <i class="trash icon pointer" th:onclick="'javascript:deleteWorklog(\'' + ${item.id} + '\');'" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${resource.id == item.createdBy.id}"></i>
            </div>
          </th:block>
        </div>
      </th:block>
      <div th:if="${workitem.assignedTo != null and resource.id == workitem.assignedTo.id and !workitem.status.initialStatus and workitem.contract != null}">
        <th:block th:replace="common/fragments/form :: actionbuttonsOnClick(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
                                                             icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
                                                             icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS},
                                                             icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW},
                                                             icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW},
                                                             icon2function = 'createWorklog(\'' + ${workitem.id} + '\');'
                                                             )" />
      </div>
    </th:block>
  </div>
</body>
</html>